Index: graphics/sam2p/Makefile
===================================================================
diff -u graphics/sam2p/Makefile.orig graphics/sam2p/Makefile
--- graphics/sam2p/Makefile.orig	Sun Jul 27 12:43:08 2003
+++ graphics/sam2p/Makefile	Sun Jul 27 13:14:58 2003
@@ -14,9 +14,15 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Converts raster (bitmap) image formats into PS or PDF files

+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 BUILD_DEPENDS=	tif22pnm:${PORTSDIR}/graphics/tif22pnm \
 		tifftopnm:${PORTSDIR}/graphics/netpbm \
-		gs:${PORTSDIR}/print/ghostscript-gnu \
+		gs:${PORTSDIR}/${GSPORT} \
 		zip:${PORTSDIR}/archivers/zip \
 		bash:${PORTSDIR}/shells/bash2
 LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
@@ -25,6 +31,14 @@
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 ALL_TARGET=	# empty
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/sam2p ${PREFIX}/bin
